/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 30 oct 2025, 14:23:29
    Author     : USUARIO
*/
.primer-menu:hover > a{
    background: #329C04 !important;
}
.tp-megamenu-wrapper div div .tp-megamenu-list:hover{
    background: #37b003 !important;
}
.primer-menu .tp-megamenu-list a{
    padding-top: 30px !important;
}
.cuadro-prod-act{
    border: 3px solid #329c042b;
}
.cuadro-prod{
    background: #f1f2f4;
    padding: 20px;
    text-align: center;
    height: 100px;
    display: flex;
    align-items: center;     /* Centra verticalmente */
    justify-content: center;
}
.cuadro-prod a h3{
    font-size: 26px !important;
    font-weight: 400 !important;
}
.text-blue-coop-01{
    color: #116db8 !important;
}
.text-green-coop-01{
    color: #329c04 !important;
}
.btn-green-coop-02{
    background: #116db8 !important;
    color: #fff !important;
}
.btn-green-coop-01{
    background: #329c04 !important;
    color: #fff !important;
}
.menu-sticky-01 {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    opacity: 1;
    width: 100%;
    z-index: 10;
    visibility: visible;
    background: rgba(255, 255, 255, 0.9);
    box-shadow: 0 2px 6px 0 rgba(19, 19, 22, 0.08);
    animation: 0.95s ease 0s normal forwards 1 running headerSlideDown;
    -webkit-animation: 0.95s ease 0s normal forwards 1 running headerSlideDown;
}
.menu-sticky {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    opacity: 1;
    width: 100%;
    z-index: 10;
    visibility: visible;
    background: rgba(255, 255, 255, 0.9);
    box-shadow: 0 2px 6px 0 rgba(19, 19, 22, 0.08);
    animation: 0.95s ease 0s normal forwards 1 running headerSlideDown;
    -webkit-animation: 0.95s ease 0s normal forwards 1 running headerSlideDown;
}

/* Otra alternativa más específica */
.tp-main-menu ul > li:first-child .tp-megamenu-wrapper:hover ~ a img {
    filter: brightness(0) invert(1) !important;
}

/* Estilos para el primer menú y su contenido */
.primer-menu:hover > a span {
    color: #fff !important;
    margin-right: 30px !important;
}
.primer-menu:hover > a img {
    filter: brightness(0) invert(1) !important;
}
.primer-menu:hover > a,
.primer-menu:hover > a img {
    color: #fff !important;
    /*    background: #329C04 !important;*/
    margin-left: 30px !important;
    /*       filter: brightness(0) invert(1) !important;*/
    /*    padding: 10px 30px !important;*/
    /*    filter: brightness(0) saturate(100%) invert(34%) sepia(96%) saturate(745%) hue-rotate(103deg) brightness(96%) contrast(101%) !important;*/
}

/* Para todo el contenido del megamenu cuando el primer menú tiene hover */
.primer-menu:hover .tp-megamenu-wrapper,
.primer-menu:hover .tp-megamenu-wrapper * {
    color: #56b632 !important;
}

/* Imágenes dentro del megamenu */
.primer-menu:hover .tp-megamenu-title img {
    filter: brightness(0) saturate(100%) invert(34%) sepia(96%) saturate(745%) hue-rotate(103deg) brightness(96%) contrast(101%) !important;
}

/* Efecto hover en elementos individuales del submenú */
.primer-menu .tp-megamenu-list a:hover .tp-megamenu-title,
.primer-menu .tp-megamenu-list a:hover {
    color: #fff !important;
    font-weight: 700 !important;
}
.tp-header-dropdown nav ul li:hover > .tp-megamenu-wrapper div div div a h4 img{
    filter: brightness(0) invert(1) !important;
}
.tp-header-dropdown nav ul li:hover > .tp-megamenu-wrapper div div div a h4{
    color: #fff !important;
}
.center-content {
    justify-content: center;
    display: flex;
}
.tp-service-sa-item:hover .tp-service-sa-item-icon svg {
    color: #55B431 !important;
}
.tp-service-inner-item {
    border-top: 3px dashed #2c55a2 !important;
    background-color: var(--tp-common-white) !important;
}
.tp-bg-common-silver-1 {
    background-color: #ececec;
}
.tp-bg-common-green-1 {
    background-color: #116db8;
}
.tp-text-green-1{
    color: #116db8 !important;
}

.tp-blog-cst-item:hover {
    background: #fff !important;
}
.text-silver-1 {
    color: #686868 !important;
}

.hover-text-green-1:hover{
    color: #3e6ca3 !important;
}

.hover-text-white:hover{
    color: #116db8 !important;
}

.btn-text-blue{
    background: #3e6ca3 !important;
    color: #ffffff !important;
    border: #ffffff 5px solid;
}

.btn-text-blue:hover{
    background: #116db8 !important;
    color: #ffffff !important;
}

.btn-text-green{
    background: #116db8 !important;
    color: #ffffff !important;
    border: #ffffff 5px solid;
}

.btn-text-green:hover{
    background: #3e6ca3 !important;
    color: #ffffff !important;
}
.bg-silver-01{
    background: #e4e5e6 !important;
}

.text-blue-coop{
    color: #3e6ca3 !important;
}
.text-blue-coop{
    color: #116db8 !important;
}
.text-silver-01{
    color: #3d3d3d !important;
}

/* redes sociales */

.btn-facebook:hover{
    background: #0068ff !important;
    color: #ffffff !important;
}
.btn-youtube:hover{
    background: #ff0000 !important;
    color: #ffffff !important;
}
.btn-tiktok:hover{
    background: #000000 !important;
    color: #ffffff !important;
}
.btn-whatsapp:hover{
    background: #46c957 !important;
    color: #ffffff !important;
}
.btn-instagram:hover{
    background: #d301c6 !important;
    color: #ffffff !important;
}
.tp-main-menu nav > ul > li > a:hover {
    color: #f9f7f7;
    background: #329C04 !important;
    padding: 10px 30px !important;
}

.tp-main-menu nav > ul > li > a:hover > img{
    /*    filter: brightness(0) invert(1) !important;*/
}

#div-search{
    display: none;
}

.swiper-button-next, .swiper-button-prev {
    cursor: pointer;
    color: var(--swiper-navigation-color,#fff) !important;
}

.tp-megamenu-title {
    font-weight: 500 !important;
    font-size: 20px !important;
}
/* card agencias */
.left-card-agency{
    padding: 40px !important;
}
.card-agency{
    padding: 10px !important;
}
.item-card-agency{
    border: 1px solid silver;
    padding: 20px;
}
.item-card-agency .title{
    display: flex;
    margin-bottom: 35px;
}
.item-card-agency .title div{
    padding-right: 20px;
}
.item-card-agency .title h4{
    margin-top: 10px;
}
.item-card-agency .separator{
    display: flex;
}
.item-card-agency .address p{
    margin-top: 30px;
}
.item-card-agency .schedule{
    display: flex;
}
.item-card-agency .schedule .icon-1{
    width: 10%;
}
.item-card-agency .schedule .icon-1 img{
    width: 50px;
    padding-right: 10px;
}

.item-card-agency .time{
    width: 80%;
}
.item-card-agency .icon-2{
    width: 10%;
}
#map {
    height: 800px;
    /*    width: 100vw;*/
    /*    margin-top: 60px;*/
}
.icon-educacion{
    width:20px !important;
    margin-top: -5px !important;
    margin-right: 10px !important;
}

.tp-team-it-socials-share {
    background: #3e6ca3 !important;
}
#menu-sticky-01{
    display: block !important;
}
#menu-sticky{
    display: none;
}

.whats-btn {
    font-size: 3rem;
    font-weight: 500;
    position: fixed;
    bottom: 50px;
    left: 20px;
    background: #05cd51;
    color: #fff;
    padding: 13px 18px;
    text-align: center;
    border-radius: 50%;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    opacity: 1;
    z-index: 9900;
}
/* end card agencias */
.text-white{
    color: #fff !important;
}
.bg-azul{
    background: #4472c4 !important;
    padding: 10px 10px 5px 10px !important;
}
@media only screen and (min-device-width : 300px) and (max-device-width : 480px) {

    .mod-cosede{
        height: 200px !important;
    }
    .swiper-slide img {
        height: 150px !important;
    }
    .swiper {
        height: auto !important;
    }
    .app-movil{
        height: auto !important;
    }
    .tp-megamenu-list {
        justify-content: initial !important;
        display: flex;
    }
    #div-search{
        display: block !important;
        width: 60% !important;
        padding-top: 5px !important;
    }
    #btn-acceso{
        display: none !important;
    }
    #btn-socio{
        margin-top: 20px !important;
        display: none !important;
    }
    .swiper-slide .tp-portfolio-creative-item{
        background-size: contain !important;
    }
    #menu-sticky-01{
        display: none !important;
    }
    #menu-sticky{
        display: block !important;
        border-bottom: 1px solid #116db8 !important;
        padding-bottom: 5px !important;
        padding: 15px 10px !important;
    }
    #div-slider-main{
        height: 400px !important;
    }
    .tp-portfolio-mix-slider-navigation {
        bottom: 15% !important;
    }
    .tp-header-lg-spacing {
        padding: 0px 0px !important;
    }
    .tp-portfolio-cst-list-wrap {
        margin-top: 20% !important;
    }
    .tp-portfolio-cst-title{
        font-size: 22px !important;
    }
    #div-btn-servicios{
        text-align: center !important;
    }
    .tp-footer-top-social-wrap{
        display:  block !important;
    }
    #item-phone-footer{
        font-size: 26px !important;
    }
    #item-phone-footer img{
        width: 40px !important;
        font-size: 26px !important;
    }
    #item-email-footer{
        font-size: 22px !important;
    }
    #item-email-footer img{
        width: 40px !important;
        font-size: 22px !important;
    }
    #div-right-footer{
        border-left: 0px solid #116db8 !important;
        border-top: 1px solid #116db8 !important;
        padding-top: 40px !important;
    }
    .div-left-footer h3{
        margin-left: 30px !important;
    }
    #container-slider-main{
        padding-right: 0px !important;
        padding-left: 0px !important;
    }
    .tp-hero-bottom-shape {
        width: 16% !important;
    }
}
/* Tablets y Laptops (768px - 1279px) */
@media (min-width: 768px) and (max-width: 1279px) {
    .app-movil{
        height: auto !important;
    }
    .swiper {
        height: auto !important;
    }
}

/* Desktop (1280px - 1535px) */
@media (min-width: 1280px) and (max-width: 1535px) {

}

/* Pantallas Extra Grandes (1536px+) */
@media (min-width: 1536px) {

}
@media only screen and (min-width: 576px) and (max-width: 767px), (max-width: 574.98px) {
    .tp-hero-bottom-height {
        height: 200px !important;
    }
}

.modal {
    position: fixed;
    inset: 0;
    z-index: 9999;

    display: flex;
    align-items: center;
    justify-content: center;

    pointer-events: none;
}

.modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.6);
    backdrop-filter: blur(4px);

    opacity: 0;
    transition: 0.3s;
}

.modal-contenido {
    position: relative;
    z-index: 2;

    background: #fff;
    width: 90%;
    max-width: 70%;
    padding: 25px;
    border-radius: 16px;

    box-shadow: 0 20px 40px rgba(0,0,0,0.2);

    transform: translateY(30px) scale(0.95);
    opacity: 0;
    transition: 0.3s;
}

/* Estado activo */
.modal.active {
    pointer-events: auto;
}

.modal.active .modal-overlay {
    opacity: 1;
}

.modal.active .modal-contenido {
    transform: translateY(0) scale(1);
    opacity: 1;
}

.cerrar {
    position: absolute;
    top: 10px;
    right: 15px;
    border: none;
    background: none;
    font-size: 22px;
    cursor: pointer;
}

.btn {
    margin-top: 15px;
    padding: 10px 15px;
    border: none;
    background: #4f46e5;
    color: white;
    border-radius: 8px;
    cursor: pointer;
}

body.modal-open {
    overflow: hidden;
}
.tp-contact-us-info-details a {
    font-size: 14px !important;
    margin-bottom: 0px !important;
}
.tp-contact-us-info-title {
    border-bottom: 4px solid #55b431 !important;
}
.div-spaninfo-1{
    background: #58b933;
    padding: 10px 20px;
    color: #fff;
    width: fit-content;
    border-radius: 20px;
    margin-bottom: 15px;
}
.div-spaninfo-1 p{
    font-size: 1.3rem;
    color: #fff;
    margin-bottom: 0px;
}
.swiper-button-next::after, .swiper-rtl .swiper-button-prev::after {
  content: '>' !important;
}
.swiper-button-prev::after, .swiper-rtl .swiper-button-next::after {
  content: '<' !important;
}
.tp-btn-border-white:hover {
  color: #fff !important;
}